Page MenuHomePhabricator

Slow load times for Special:Homepage on cswiki
Closed, ResolvedPublic

Description

As @Gilles noted in T240201#6602256, there were some particularly slow load times recently for Special:Homepage.

Looking at the last two days there are some spikes:

image.png (651×1 px, 94 KB)

Looking at Logstash for those spikes, we see a lot of entries like this:

 Expectation (readQueryTime <= 5) by MediaWiki::main not met (actual: 59.928746938705):
query-m: SELECT tl_from,tl_title FROM `templatelinks` WHERE (tl_from = N AND tl_title IN ('X') AND tl_namespace = N)  [TRX#09f194]

Where the trace looks like this:

#0 /srv/mediawiki/php-1.36.0-wmf.14/includes/libs/rdbms/TransactionProfiler.php(254): Wikimedia\Rdbms\TransactionProfiler->reportExpectationViolated(string, Wikimedia\Rdbms\GeneralizedSql, double)
#1 /srv/mediawiki/php-1.36.0-wmf.14/includes/libs/rdbms/database/Database.php(1412): Wikimedia\Rdbms\TransactionProfiler->recordQueryCompletion(Wikimedia\Rdbms\GeneralizedSql, double, boolean, integer)
#2 /srv/mediawiki/php-1.36.0-wmf.14/includes/libs/rdbms/database/Database.php(1294): Wikimedia\Rdbms\Database->executeQueryAttempt(string, string, boolean, string, integer)
#3 /srv/mediawiki/php-1.36.0-wmf.14/includes/libs/rdbms/database/Database.php(1223): Wikimedia\Rdbms\Database->executeQuery(string, string, integer)
#4 /srv/mediawiki/php-1.36.0-wmf.14/includes/libs/rdbms/database/Database.php(1907): Wikimedia\Rdbms\Database->query(string, string, integer)
#5 /srv/mediawiki/php-1.36.0-wmf.14/extensions/GrowthExperiments/includes/NewcomerTasks/TemplateFilter.php(137): Wikimedia\Rdbms\Database->select(string, array, string, string)
#6 /srv/mediawiki/php-1.36.0-wmf.14/extensions/GrowthExperiments/includes/NewcomerTasks/TemplateFilter.php(57): GrowthExperiments\NewcomerTasks\TemplateFilter->buildResultsMap(GrowthExperiments\NewcomerTasks\Task\TaskSet)
#7 /srv/mediawiki/php-1.36.0-wmf.14/extensions/GrowthExperiments/includes/NewcomerTasks/TaskSuggester/CacheDecorator.php(78): GrowthExperiments\NewcomerTasks\TemplateFilter->filter(GrowthExperiments\NewcomerTasks\Task\TaskSet)
#8 /srv/mediawiki/php-1.36.0-wmf.14/includes/libs/objectcache/wancache/WANObjectCache.php(1548): GrowthExperiments\NewcomerTasks\TaskSuggester\CacheDecorator->GrowthExperiments\NewcomerTasks\TaskSuggester\{closure}(GrowthExperiments\NewcomerTasks\Task\TaskSet, integer, array, double, array)
#9 /srv/mediawiki/php-1.36.0-wmf.14/includes/libs/objectcache/wancache/WANObjectCache.php(1376): WANObjectCache->fetchOrRegenerate(string, integer, Closure, array, array)
#10 /srv/mediawiki/php-1.36.0-wmf.14/extensions/GrowthExperiments/includes/NewcomerTasks/TaskSuggester/CacheDecorator.php(102): WANObjectCache->getWithSetCallback(string, integer, Closure, array)
#11 /srv/mediawiki/php-1.36.0-wmf.14/extensions/GrowthExperiments/includes/HomepageModules/SuggestedEdits.php(323): GrowthExperiments\NewcomerTasks\TaskSuggester\CacheDecorator->suggest(User, array, array)
#12 /srv/mediawiki/php-1.36.0-wmf.14/extensions/GrowthExperiments/includes/HomepageModules/SuggestedEdits.php(248): GrowthExperiments\HomepageModules\SuggestedEdits->getTaskSet()
#13 /srv/mediawiki/php-1.36.0-wmf.14/extensions/GrowthExperiments/includes/Specials/SpecialHomepage.php(381): GrowthExperiments\HomepageModules\SuggestedEdits->getJsData(string)
#14 /srv/mediawiki/php-1.36.0-wmf.14/extensions/GrowthExperiments/includes/Specials/SpecialHomepage.php(162): GrowthExperiments\Specials\SpecialHomepage->outputJsData(string, array)
#15 /srv/mediawiki/php-1.36.0-wmf.14/includes/specialpage/SpecialPage.php(600): GrowthExperiments\Specials\SpecialHomepage->execute(NULL)
#16 /srv/mediawiki/php-1.36.0-wmf.14/includes/specialpage/SpecialPageFactory.php(1018): SpecialPage->run(NULL)
#17 /srv/mediawiki/php-1.36.0-wmf.14/includes/MediaWiki.php(307): MediaWiki\SpecialPage\SpecialPageFactory->executePath(Title, RequestContext)
#18 /srv/mediawiki/php-1.36.0-wmf.14/includes/MediaWiki.php(940): MediaWiki->performRequest()
#19 /srv/mediawiki/php-1.36.0-wmf.14/includes/MediaWiki.php(543): MediaWiki->main()
#20 /srv/mediawiki/php-1.36.0-wmf.14/index.php(53): MediaWiki->run()
#21 /srv/mediawiki/php-1.36.0-wmf.14/index.php(46): wfIndexMain()
#22 /srv/mediawiki/w/index.php(3): require(string)
#23 {main}

It looks like almost all of these are happening on cswiki.

The configuration at MediaWiki:NewcomerTasks.json has not changed recently.

Event Timeline

We had problems with this query in the past (see T264029) but this seems like a different issue.

It looks like this happened with wmf.13 as well (logs), again only on cswiki.

Aklapper renamed this task from Slow load times for Special:Hompeage on cswiki to Slow load times for Special:Homepage on cswiki.Nov 4 2020, 2:35 PM

I grepped DBPerformance logs for issues with templatelinks table:

[urbanecm@mwlog1001 /srv/mw-log]$ grep readQueryTime DBPerformance.log | grep -A 1 cswiki | json-from-logs.sh | jq -r .query | sed 's/\s*\[TRX#.*//g' | sort | uniq -c
      2 query-m: SELECT MASTER_GTID_WAIT('X', N)
    307 query-m: SELECT tl_from,tl_title FROM `templatelinks` WHERE (tl_from = N AND tl_title IN ('X') AND tl_namespace = N)
      1 query-m: SELECT user_id FROM `user` WHERE user_name = 'X' LIMIT N LOCK IN SHARE MODE
      5 query-m: SELECT user_id,user_name,user_real_name,user_email,user_touched,user_token,user_email_authenticated,user_email_token,user_email_token_expires,user_registration,user_editcount,user_actor.actor_id FROM `user` JOIN `actor` `user_actor` ON ((user_actor.actor_
[urbanecm@mwlog1001 /srv/mw-log]$ grep readQueryTime DBPerformance.log | grep -A 1 cswiki | json-from-logs.sh | jq -r .query | sed 's/\s*\[TRX#.*//g' | sort | uniq -c | sort -rn
    307 query-m: SELECT tl_from,tl_title FROM `templatelinks` WHERE (tl_from = N AND tl_title IN ('X') AND tl_namespace = N)
      5 query-m: SELECT user_id,user_name,user_real_name,user_email,user_touched,user_token,user_email_authenticated,user_email_token,user_email_token_expires,user_registration,user_editcount,user_actor.actor_id FROM `user` JOIN `actor` `user_actor` ON ((user_actor.actor_
      2 query-m: SELECT MASTER_GTID_WAIT('X', N)
      1 query-m: SELECT user_id FROM `user` WHERE user_name = 'X' LIMIT N LOCK IN SHARE MODE
[urbanecm@mwlog1001 /srv/mw-log]$

(json-from-logs is my wrapper for sed 's/\s*{/\t{/g' | cut -f 2 | grep '^{' I use to easily get the json metadata that are in the log data)

It seems like this is the most frequent cswiki issue with DBPerformance, and apparently it doesn't happen at any other wiki:

[urbanecm@mwlog1001 /srv/mw-log]$ grep readQueryTime DBPerformance.log | grep -B 1 templatelinks | grep mw | cut -d ' ' -f 5 | sort | uniq -c
    307 cswiki
[urbanecm@mwlog1001 /srv/mw-log]$

I originally suspected that s2 is having some issues, because the query looks simple enough (tl_from is a primary key that restricts the search to a single row, and a where at a single row should be pretty fast). I don't really see any inefficiency from the MediaWiki side

@Marostegui Do you have any idea why the query takes more than 5 seconds (sometimes)?

SELECT tl_from,tl_title FROM templatelinks` WHERE (tl_from = N AND tl_title IN ('X') AND tl_namespace = N)`

I cannot currently reproduce any issues with the Special:Homepage at cswiki, and this seems to not happen always.

These warnings are all followed by a MySQL server has gone away query error like this:

Error 2006 from GrowthExperiments\NewcomerTasks\TemplateFilter::buildResultsMap, MySQL server has gone away (10.64.0.99) SELECT  tl_from,tl_title  FROM `templatelinks`    WHERE (tl_from = 557178 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 1566125 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 710826 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 371571 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 627294 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 507361 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 157039 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 9031 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 755400 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 1198541 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 11697 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 169723 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 63752 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 814054 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 331903 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 21067 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 23300 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 235790 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 791841 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 1030239 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 8272 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 16318 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 1372514 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 1375660 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 813470 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 1369585 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 1109394 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 896834 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 607367 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 650068 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 755147 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 747961 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 4314 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 632362 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Kter 10.64.0.99

#0 /srv/mediawiki/php-1.36.0-wmf.14/includes/libs/rdbms/database/Database.php(1658): Wikimedia\Rdbms\Database->getQueryExceptionAndLog(string, integer, string, string)
#1 /srv/mediawiki/php-1.36.0-wmf.14/includes/libs/rdbms/database/Database.php(1227): Wikimedia\Rdbms\Database->reportQueryError(string, integer, string, string, boolean)
#2 /srv/mediawiki/php-1.36.0-wmf.14/includes/libs/rdbms/database/Database.php(1907): Wikimedia\Rdbms\Database->query(string, string, integer)
#3 /srv/mediawiki/php-1.36.0-wmf.14/extensions/GrowthExperiments/includes/NewcomerTasks/TemplateFilter.php(137): Wikimedia\Rdbms\Database->select(string, array, string, string)
#4 /srv/mediawiki/php-1.36.0-wmf.14/extensions/GrowthExperiments/includes/NewcomerTasks/TemplateFilter.php(57): GrowthExperiments\NewcomerTasks\TemplateFilter->buildResultsMap(GrowthExperiments\NewcomerTasks\Task\TaskSet)
#5 /srv/mediawiki/php-1.36.0-wmf.14/extensions/GrowthExperiments/includes/NewcomerTasks/TaskSuggester/CacheDecorator.php(78): GrowthExperiments\NewcomerTasks\TemplateFilter->filter(GrowthExperiments\NewcomerTasks\Task\TaskSet)
#6 /srv/mediawiki/php-1.36.0-wmf.14/includes/libs/objectcache/wancache/WANObjectCache.php(1548): GrowthExperiments\NewcomerTasks\TaskSuggester\CacheDecorator->GrowthExperiments\NewcomerTasks\TaskSuggester\{closure}(GrowthExperiments\NewcomerTasks\Task\TaskSet, integer, array, double, array)
#7 /srv/mediawiki/php-1.36.0-wmf.14/includes/libs/objectcache/wancache/WANObjectCache.php(1376): WANObjectCache->fetchOrRegenerate(string, integer, Closure, array, array)
#8 /srv/mediawiki/php-1.36.0-wmf.14/extensions/GrowthExperiments/includes/NewcomerTasks/TaskSuggester/CacheDecorator.php(102): WANObjectCache->getWithSetCallback(string, integer, Closure, array)
#9 /srv/mediawiki/php-1.36.0-wmf.14/extensions/GrowthExperiments/includes/HomepageModules/SuggestedEdits.php(323): GrowthExperiments\NewcomerTasks\TaskSuggester\CacheDecorator->suggest(User, array, array)
#10 /srv/mediawiki/php-1.36.0-wmf.14/extensions/GrowthExperiments/includes/HomepageModules/SuggestedEdits.php(248): GrowthExperiments\HomepageModules\SuggestedEdits->getTaskSet()
#11 /srv/mediawiki/php-1.36.0-wmf.14/extensions/GrowthExperiments/includes/Specials/SpecialHomepage.php(381): GrowthExperiments\HomepageModules\SuggestedEdits->getJsData(string)
#12 /srv/mediawiki/php-1.36.0-wmf.14/extensions/GrowthExperiments/includes/Specials/SpecialHomepage.php(162): GrowthExperiments\Specials\SpecialHomepage->outputJsData(string, array)
#13 /srv/mediawiki/php-1.36.0-wmf.14/includes/specialpage/SpecialPage.php(600): GrowthExperiments\Specials\SpecialHomepage->execute(NULL)
#14 /srv/mediawiki/php-1.36.0-wmf.14/includes/specialpage/SpecialPageFactory.php(1018): SpecialPage->run(NULL)
#15 /srv/mediawiki/php-1.36.0-wmf.14/includes/MediaWiki.php(307): MediaWiki\SpecialPage\SpecialPageFactory->executePath(Title, RequestContext)
#16 /srv/mediawiki/php-1.36.0-wmf.14/includes/MediaWiki.php(940): MediaWiki->performRequest()
#17 /srv/mediawiki/php-1.36.0-wmf.14/includes/MediaWiki.php(543): MediaWiki->main()
#18 /srv/mediawiki/php-1.36.0-wmf.14/index.php(53): MediaWiki->run()
#19 /srv/mediawiki/php-1.36.0-wmf.14/index.php(46): wfIndexMain()
#20 /srv/mediawiki/w/index.php(3): require(string)
#21 {main}

(The query probably gets truncated by the log formatter.)
So these are huge queries, even if they align with the index very well. The expectation logger somehow messes up the query string.

tl_from and tl_namespace form a prefix of the primary key, and tl_title is the third and last element of the primary key, so basically the DB engine would walk down a B-tree for every parenthesized segment in that query and then search the bottom node for every quoted string. The query covers 250 cached queue items, so there are that many parentheses, times a dozen or so strings (template types). That doesn't seem like something that would take a minute, or even be particularly slow, but I'm not super confident about that. Then again, the error only shows up on cswiki.

All of the errors come from db1129. I don't see anything out of the ordinary there:

tgr@mwmaint1002:~$ sql --wiki=cswiki --host=db1129
wikiadmin@10.64.0.99(cswiki)> show indexes from templatelinks;
+---------------+------------+------------------------+--------------+-------------------+-----------+-------------+----------+--------+------+------------+---------+---------------+
| Table         | Non_unique | Key_name               | Seq_in_index | Column_name       | Collation | Cardinality | Sub_part | Packed | Null | Index_type | Comment | Index_comment |
+---------------+------------+------------------------+--------------+-------------------+-----------+-------------+----------+--------+------+------------+---------+---------------+
| templatelinks |          0 | PRIMARY                |            1 | tl_from           | A         |     1614647 |     NULL | NULL   |      | BTREE      |         |               |
| templatelinks |          0 | PRIMARY                |            2 | tl_namespace      | A         |     2767967 |     NULL | NULL   |      | BTREE      |         |               |
| templatelinks |          0 | PRIMARY                |            3 | tl_title          | A         |    19375772 |     NULL | NULL   |      | BTREE      |         |               |
| templatelinks |          1 | tl_namespace           |            1 | tl_namespace      | A         |        1956 |     NULL | NULL   |      | BTREE      |         |               |
| templatelinks |          1 | tl_namespace           |            2 | tl_title          | A         |      248407 |     NULL | NULL   |      | BTREE      |         |               |
| templatelinks |          1 | tl_namespace           |            3 | tl_from           | A         |    19375776 |     NULL | NULL   |      | BTREE      |         |               |
| templatelinks |          1 | tl_backlinks_namespace |            1 | tl_from_namespace | A         |        3505 |     NULL | NULL   |      | BTREE      |         |               |
| templatelinks |          1 | tl_backlinks_namespace |            2 | tl_namespace      | A         |        8767 |     NULL | NULL   |      | BTREE      |         |               |
| templatelinks |          1 | tl_backlinks_namespace |            3 | tl_title          | A         |      472579 |     NULL | NULL   |      | BTREE      |         |               |
| templatelinks |          1 | tl_backlinks_namespace |            4 | tl_from           | A         |    19375776 |     NULL | NULL   |      | BTREE      |         |               |
+---------------+------------+------------------------+--------------+-------------------+-----------+-------------+----------+--------+------+------------+---------+---------------+

Running the query from the log (which is truncated at 33 terms instead of the full 250, so, about 12% of the full query):

wikiadmin@10.64.0.99(cswiki)> SELECT ...
37 rows in set (0.02 sec)

wikiadmin@10.64.0.99(cswiki)> EXPLAIN SELECT ...
+------+-------------+---------------+-------+----------------------+--------------+---------+------+------+--------------------------+
| id   | select_type | table         | type  | possible_keys        | key          | key_len | ref  | rows | Extra                    |
+------+-------------+---------------+-------+----------------------+--------------+---------+------+------+--------------------------+
|    1 | SIMPLE      | templatelinks | range | PRIMARY,tl_namespace | tl_namespace | 265     | NULL |  330 | Using where; Using index |
+------+-------------+---------------+-------+----------------------+--------------+---------+------+------+--------------------------+

As Kosta pointed out, the timeout only happens for a small fraction of the queries. Maybe it's waiting on a write lock? But then we'd see another performance warning about some transaction taking long, and I couldn't find any.

Dashboard. It is a fairly rare error (600 times in the last 30 days), cswiki-only, not specific to wmf.14, happening in clusters. Caused by some bot mass-editing pages and piling up write locks on the templatelinks table, maybe? I'm fairly sure our code is the victim and not the cause here, but we'll probably need DBA help to move further.

Thanks for the ping!

These warnings are all followed by a MySQL server has gone away query error like this:

This is because of the query killer kicking in and killing the query, as it takes more than 60 seconds to run.

server_id: 171966563
    stamp: 2020-11-04 15:36:33
    event: wmf_slave_wikiuser_slow (>60)
  content: kill 613947490; SELECT /* GrowthExperiments\NewcomerTasks\TemplateFilter::buildResultsMap  */  tl_from,tl_title  FRO

As @Tgr points out, the entire query is:

1SELECT /* GrowthExperiments\NewcomerTasks\TemplateFilter::buildResultsMap */ tl_from, tl_title FROM `templatelinks` WHERE (tl_from = 670356 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1066533 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1333958 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 921514 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 12783 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 748776 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 690478 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 157039 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 90204 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1196789 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 271933 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1375660 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 331903 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 747961 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1440173 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 707253 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 550807 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 288512 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 203718 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1595758 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1245298 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 438469 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1030239 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 518073 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 956554 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 507361 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 816340 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1179926 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 814624 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1172456 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1035821 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 232592 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1045914 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 459339 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 983838 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 682871 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1253950 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 30787 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 23300 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 557178 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 791260 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 277735 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 227230 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 921950 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 25878 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1118627 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 807129 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 781716 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1302914 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 861117 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 122510 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1388049 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 801948 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1375746 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 169723 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 710154 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 702439 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1386362 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 344849 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 93502 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 641133 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1029555 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 779117 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 601169 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 755147 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1514640 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1620517 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 702168 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1611698 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 802149 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1237797 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1531803 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1113030 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 768350 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 253643 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1103800 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 832574 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 299949 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 80890 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 691232 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 152755 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 731919 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1494837 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 586023 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 390344 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1188404 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 113159 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 579102 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1043245 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 180626 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 710826 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 439719 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 200731 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 830401 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 945893 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 515696 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 918749 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 21067 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 438998 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 80098 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 138897 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 8272 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 318749 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1236844 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1134916 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 15088 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 466685 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1565863 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1123858 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 250116 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 28686 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 629725 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1609685 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 634169 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 956726 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 949043 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 632362 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 966425 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 814054 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1612862 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1540561 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 196737 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 175254 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 913787 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1135215 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 241924 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 629397 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1542646 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 766151 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1135390 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 204710 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 183687 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 999035 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 809691 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 742446 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 944845 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1342621 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 457655 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 753327 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1363995 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 305495 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1542647 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 104913 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1154727 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 235790 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 791841 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 310893 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1051504 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1271159 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1488881 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 232191 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 16318 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1109394 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 650068 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 63752 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 813470 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1167598 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1157226 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 34557 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 22835 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1372739 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 891298 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 445327 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 749957 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 941898 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 764652 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 595544 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 453971 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 11697 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1198541 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 997363 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 34401 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 85969 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 52956 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 755400 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1566125 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 102558 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 975562 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1405073 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1111200 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1369585 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1357995 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 863729 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 4314 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 788955 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1461470 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 911695 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 930917 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1047541 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1306052 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 883852 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1528750 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 645080 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 278423 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1340542 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 476450 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 605941 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 660824 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 159680 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 627294 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1618517 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 595723 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 894889 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 116576 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1372514 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 910719 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 967656 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1007952 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1258410 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 241556 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 491969 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 896834 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 688595 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 83293 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1093214 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 901500 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1031276 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1393710 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 884339 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 26378 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 499612 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 63775 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 138320 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1125851 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 905006 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1207008 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 949524 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 607367 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 987 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 838783 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 338267 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1347851 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 800778 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 987336 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 63085 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 9031 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 712551 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1283491 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 755517 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1277225 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 10653 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 19745 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 371571 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 258302 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 514477 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1194865 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 788769 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 795497 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) /* 4add481ac8c14a02df35cda52595f328 db1129 cswiki 76s */

That query's explain isn't too bad but the query itself takes more than a minute, and hence gets killed by the query killer:

root@db1129.eqiad.wmnet[cswiki]> show explain for 659580894;
+------+-------------+---------------+------+----------------------+--------------+---------+-------+------+--------------------------+
| id   | select_type | table         | type | possible_keys        | key          | key_len | ref   | rows | Extra                    |
+------+-------------+---------------+------+----------------------+--------------+---------+-------+------+--------------------------+
|    1 | SIMPLE      | templatelinks | ref  | PRIMARY,tl_namespace | tl_namespace | 4       | const | 9902 | Using where; Using index |
+------+-------------+---------------+------+----------------------+--------------+---------+-------+------+--------------------------+
1 row in set, 1 warning (0.001 sec)

It is hard to debug such a long query, but from what I can see on the handlers:

Handler_read_next	12759822
Handler_read_next

The number of requests to read the next row in key order. This value is incremented if you are querying an index column with a range constraint or if you are doing an index scan.

Unfortunately, this host is running 10.1, so I cannot enable the optimizer trace there. But I have tried on db1090:3312 (which runs 10.4, and looks like it has the same issue - and the same query plan).
The optimizer trace shows some interesting results:

{
  "considered_execution_plans": [
    {
      "plan_prefix": [],
      "table": "templatelinks",
      "best_access_path": {
        "considered_access_paths": [
          {
            "access_type": "ref",
            "index": "tl_namespace",
            "rows": 10039,
            "cost": 692.95,
            "chosen": true
          },
          {
            "type": "scan",
            "chosen": false,
            "cause": "cost"
          }
        ],
        "chosen_access_method": {
          "type": "ref",
          "records": 10039,
          "cost": 692.95,
          "uses_join_buffering": false
        }
      },
      "rows_for_plan": 10039,
      "cost_for_plan": 2700.7,
      "estimated_join_cardinality": 10039

So the optimizer goes for tl_namespace than going for PRIMARY which looks cheaper here (even if it does a full table scan):

"rows_estimation": [
  {
    "table": "templatelinks",
    "range_analysis": {
      "table_scan": {
        "rows": 19276949,
        "cost": 3.95e6

And this is true if we try a `USE (PRIMARY) on the query shows way better results:

265 rows in set (0.146 sec)

And this is NOT doing USE (PRIMARY) and just leaving the query choosing whatever it prefers (tl_namespace);

265 rows in set (2 min 9.220 sec)

And the explain with the USE is indeed better:

id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
1	SIMPLE	templatelinks	range	PRIMARY	PRIMARY	265	NULL	2480	Using where; Using index

This might be an mariadb-optimizer-bug so I am going to report this to mariadb, given that the data on this table is public, I can provide all the queries (this is not the first time we see issues with the optimizer doing silly things)
https://jira.mariadb.org/browse/MDEV-21794
https://jira.mariadb.org/browse/MDEV-21813
https://jira.mariadb.org/browse/MDEV-19579

I will first try to re-generate the table stats to see if the optimizer does something differently.

Mentioned in SAL (#wikimedia-operations) [2020-11-05T07:23:52Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depool db1129 T267216', diff saved to https://phabricator.wikimedia.org/P13201 and previous config saved to /var/cache/conftool/dbconfig/20201105-072352-marostegui.json

So interestingly, on db1129 (10.1) the analyze table results on a much realistic explain, which can explain the long query times and why using PK is way faster:

id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
1	SIMPLE	templatelinks	ref	PRIMARY,tl_namespace	tl_namespace	4	const	1294531	Using where; Using index

Going to try the same on 10.4

Same thing tried on 10.4, after the analyze, now the original query shows:

id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
1	SIMPLE	templatelinks	ref	PRIMARY,tl_namespace	tl_namespace	4	const	1294541	Using where; Using index

And with the hint:

id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
1	SIMPLE	templatelinks	range	PRIMARY	PRIMARY	265	NULL	2480	Using where; Using index

And yet the optimizer keeps choosing the wrong index.

mysql:root@localhost [cswiki]> show explain for 73439158;
+------+-------------+---------------+------+----------------------+--------------+---------+-------+---------+--------------------------+
| id   | select_type | table         | type | possible_keys        | key          | key_len | ref   | rows    | Extra                    |
+------+-------------+---------------+------+----------------------+--------------+---------+-------+---------+--------------------------+
|    1 | SIMPLE      | templatelinks | ref  | PRIMARY,tl_namespace | tl_namespace | 4       | const | 1294541 | Using where; Using index |
+------+-------------+---------------+------+----------------------+--------------+---------+-------+---------+--------------------------+
1 row in set, 1 warning (0.000 sec)

Going to file a bug report to mariadb.

Marostegui triaged this task as Medium priority.Nov 5 2020, 9:28 AM
Marostegui added a project: DBA.
Marostegui moved this task from Triage to Blocked on the DBA board.

I'm still confused why this is only happening on cswiki (the DB server is not actually limited to db1129, that was my mistake).

Given that it looks like an optimizer bug, it could be just that particular set of values for that specific query.

Change 639466 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/extensions/GrowthExperiments@master] Force primary index in TemplateFilter

https://gerrit.wikimedia.org/r/639466

I'm moving this into the QA column for us to keep an eye on over the next couple weeks. Alternatively or in addition to manaul monitoring, as was noted in T240201#6605879, we should set up some alerts in Grafana so we can find out about these issues in an automated way.

Not much point in monitoring if we don't fix it. IMO this should go back to Needs more work. Or do you mean that it should be fine to ignore the issue if it's happening infrequently enough? (It seems to be happening about 20 times a day on cswiki. Not sure what fraction of all homepage views that is.)

@kostajh -- I noticed that @Tgr's question is still here, and I wanted to bring it back up.

Not much point in monitoring if we don't fix it. IMO this should go back to Needs more work. Or do you mean that it should be fine to ignore the issue if it's happening infrequently enough? (It seems to be happening about 20 times a day on cswiki. Not sure what fraction of all homepage views that is.)

I see two related issues:

  • the mariadb-optimizer-bug, which I propose we do not do anything about as it should be fixed upstream
  • the fact that sometimes the grafana charts for suggested edits spikes, and we don't know unless we look manually

I do think we should set up alerting as that will cover much more than just the odd mariadb bug.

For wmf.18 there are quite few similar (at least they look similar to me) issues - T268679: [wmf.18] DBPerformance: MentorPageMentorManager::setMentorForUser: Expectation (masterConns <= 0) not met filed .

The last 24 hours look good though:

Screen Shot 2020-11-24 at 2.36.52 PM.png (697×1 px, 212 KB)

Filed T268700: Investigate setting up alerts for Growth dashboards about the alerts.

  • the mariadb-optimizer-bug, which I propose we do not do anything about as it should be fixed upstream

I don't think waiting for upstream is a feasible strategy, we are way too far behind (10.5 was released a year ago; we are on a mix of 10.1 and 10.4). We can hope upgrading to 10.4 fixes it, which seemed not to be the case. Otherwise, working around optimizer hiccups is a fairly common thing to do.

We can either choose to not fix it, test if hinting the primary index causes issues elsewhere, put the hint behind some kind of feature flag (that seems rather ugly), or try a different query or break it into smaller queries.

I agree with @Tgr - waiting for MariaDB to fix this might be a long shot. We also don't know whether:

  • They would fix it
  • Fix it and ship it on 10.4
  • Fix it and ship it only on 10.5

From my point of view, working around this in code can be risky, as it is just one query affecting a very concrete wiki. The risk of producing unexpected results can be high. I would prefer to go for the last approach: breaking this query into smaller ones.

We want to do the work of breaking up the query into smaller pieces. This goes into Ready for Development to be prioritized soon and just get this finished. We should also make a separate task for setting up alerts.

Change 644615 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@master] TemplateFilter: Split query into three chunks

https://gerrit.wikimedia.org/r/644615

Breaking up the query doesn't seem to affect the planner:

MariaDB [cswiki]> explain SELECT /* GrowthExperiments\NewcomerTasks\TemplateFilter::buildResultsMap */ tl_from, tl_title FROM `templatelinks` WHERE (tl_from = 670356 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10);
+------+-------------+---------------+------+----------------------+---------+---------+-------------+------+--------------------------+
| id   | select_type | table         | type | possible_keys        | key     | key_len | ref         | rows | Extra                    |
+------+-------------+---------------+------+----------------------+---------+---------+-------------+------+--------------------------+
|    1 | SIMPLE      | templatelinks | ref  | PRIMARY,tl_namespace | PRIMARY | 8       | const,const |   10 | Using where; Using index |
+------+-------------+---------------+------+----------------------+---------+---------+-------------+------+--------------------------+
1 row in set (0.00 sec)

MariaDB [cswiki]> explain SELECT /* GrowthExperiments\NewcomerTasks\TemplateFilter::buildResultsMap */ tl_from, tl_title FROM `templatelinks` WHERE (tl_from = 670356 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1066533 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10);
+------+-------------+---------------+-------+----------------------+--------------+---------+------+------+--------------------------+
| id   | select_type | table         | type  | possible_keys        | key          | key_len | ref  | rows | Extra                    |
+------+-------------+---------------+-------+----------------------+--------------+---------+------+------+--------------------------+
|    1 | SIMPLE      | templatelinks | range | PRIMARY,tl_namespace | tl_namespace | 265     | NULL |   20 | Using where; Using index |
+------+-------------+---------------+-------+----------------------+--------------+---------+------+------+--------------------------+
1 row in set (0.00 sec)

The full query has 248 expressions OR-ed together and takes about 240 seconds (give or take - Marostegui got 120 above). Cutting it in half, both halves take about 0.1 sec. 244 or 245 expressions take 0.4 sec. 246 or more expressions take 4 minutes. So it is not as if the query planner chose an algorithm that's slow in the asymptotic sense - it is pretty fast (although marginally slower than using the primary index) until it hits some kind of limit (presumably, something runs out of memory and is forced to use the disk?) which makes things super slow.

So, we should be fine with just catting the query in half, or breaking it into chunks of 100 or something like that (as long as the size of the template list in the IN (...) part doesn't change, anyway).

There is a less arbitrary way to improve it though. The above query can actually be written as

SELECT /* GrowthExperiments\NewcomerTasks\TemplateFilter::buildResultsMap */ tl_from, tl_title FROM `templatelinks` WHERE tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10 AND tl_from IN (670356, 1066533, 1333958, 921514, 12783, 748776, 690478, 157039, 90204, 1196789, 271933, 1375660, 331903, 747961, 1440173, 707253, 550807, 288512, 203718, 1595758, 1245298, 438469, 1030239, 518073, 956554, 507361, 816340, 1179926, 814624, 1172456, 1035821, 232592, 1045914, 459339, 983838, 682871, 1253950, 30787, 23300, 557178, 791260, 277735, 227230, 921950, 25878, 1118627, 807129, 781716, 1302914, 861117, 122510, 1388049, 801948, 1375746, 169723, 710154, 702439, 1386362, 344849, 93502, 641133, 1029555, 779117, 601169, 755147, 1514640, 1620517, 702168, 1611698, 802149, 1237797, 1531803, 1113030, 768350, 253643, 1103800, 832574, 299949, 80890, 691232, 152755, 731919, 1494837, 586023, 390344, 1188404, 113159, 579102, 1043245, 180626, 710826, 439719, 200731, 830401, 945893, 515696, 918749, 21067, 438998, 80098, 138897, 8272, 318749, 1236844, 1134916, 15088, 466685, 1565863, 1123858, 250116, 28686, 629725, 1609685, 634169, 956726, 949043, 632362, 966425, 814054, 1612862, 1540561, 196737, 175254, 913787, 1135215, 241924, 629397, 1542646, 766151, 1135390, 204710, 183687, 999035, 809691, 742446, 944845, 1342621, 457655, 753327, 1363995, 305495, 1542647, 104913, 1154727, 235790, 791841, 310893, 1051504, 1271159, 1488881, 232191, 16318, 1109394, 650068, 63752, 813470, 1167598, 1157226, 34557, 22835, 1372739, 891298, 445327, 749957, 941898, 764652, 595544, 453971, 11697, 1198541, 997363, 34401, 85969, 52956, 755400, 1566125, 102558, 975562, 1405073, 1111200, 1369585, 1357995, 863729, 4314, 788955, 1461470, 911695, 930917, 1047541, 1306052, 883852, 1528750, 645080, 278423, 1340542, 476450, 605941, 660824, 159680, 627294, 1618517, 595723, 894889, 116576, 1372514, 910719, 967656, 1007952, 1258410, 241556, 491969, 896834, 688595, 83293, 1093214, 901500, 1031276, 1393710, 884339, 26378, 499612, 63775, 138320, 1125851, 905006, 1207008, 949524, 607367, 987, 838783, 338267, 1347851, 800778, 987336, 63085, 9031, 712551, 1283491, 755517, 1277225, 10653, 19745, 371571, 258302, 514477, 1194865, 788769, 795497) /* 4add481ac8c14a02df35cda52595f328 db1129 cswiki 76s */

(which runs in 0.03 sec) - the long query is just a bunch of ORs where the expressions are all the same, except for the page ID. That's not quite true in general, the template list could be different for different pages; but it couldn't be too different (it's always one of a small hardcoded set of template lists). So we can just break up the query based on which template lists are used.

@Tgr it does seem it is picking the right index (the PK) with the first query:

root@db1129.eqiad.wmnet[cswiki]> explain SELECT /* GrowthExperiments\NewcomerTasks\TemplateFilter::buildResultsMap */ tl_from, tl_title FROM `templatelinks` WHERE (tl_from = 670356 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10);
+------+-------------+---------------+------+----------------------+---------+---------+-------------+------+--------------------------+
| id   | select_type | table         | type | possible_keys        | key     | key_len | ref         | rows | Extra                    |
+------+-------------+---------------+------+----------------------+---------+---------+-------------+------+--------------------------+
|    1 | SIMPLE      | templatelinks | ref  | PRIMARY,tl_namespace | PRIMARY | 8       | const,const |   15 | Using where; Using index |
+------+-------------+---------------+------+----------------------+---------+---------+-------------+------+--------------------------+
1 row in set (0.001 sec)

Yeah, I meant to say, as soon as there's any disjunction in the query it will pick tl_namespace, even if it's just between two expressions.

@Tgr has an idea to use ElasticSearch for this, instead of a database query. More information will be forthcoming.

T269642: Newcomer tasks: Use search to revalidate cached tasks will make TemplateFilter, which is the source of the problematic query, unnecessary as we won't need to do DB-based template filtering anymore.

Change 644615 abandoned by Kosta Harlan:
[mediawiki/extensions/GrowthExperiments@master] TemplateFilter: Split query into three chunks

Reason:
We're going to use the search filter for this instead.

https://gerrit.wikimedia.org/r/644615

A part of this work, which was a collaboration with the Search team, has been merged. We will wait until January to merge the GrowthExperiments backend part.

A part of this work, which was a collaboration with the Search team, has been merged. We will wait until January to merge the GrowthExperiments backend part.

The patch for our side of the work is tracked in T269642: Newcomer tasks: Use search to revalidate cached tasks, so I'm moving this to QA for reviewing after that task is resolved.

We just had another spike of queries like the following on cswiki

1SELECT /* GrowthExperiments\NewcomerTasks\TemplateFilter::buildResultsMap */ tl_from, tl_title FROM `templatelinks` WHERE (tl_from = 500878 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 257135 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 60174 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1214230 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 67284 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 990778 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 288882 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1104378 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1366569 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 231406 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1375660 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 730638 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 264794 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 11856 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 883852 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 770359 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1245569 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 369481 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1330718 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1304746 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 622174 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 392583 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 624546 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 343801 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1193691 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 521594 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 245877 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 132436 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 191680 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1621582 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1066623 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 705171 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 805996 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 18904 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1547131 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 776885 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1577661 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1173050 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 112364 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 77003 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 84870 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 330779 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1526146 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 367141 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 586023 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 938764 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1067493 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 163920 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 771686 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1104105 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1217372 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 279251 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1538351 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1224143 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 993549 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1198541 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 994657 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 921950 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 885836 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 234641 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1633049 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 775781 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1163332 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1198105 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 856202 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1594052 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1647368 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1037947 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 462411 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 891107 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 5634 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 416038 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 629397 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 263764 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1625171 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 477153 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1646425 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1012571 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 685330 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 632362 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1621544 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 596389 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1531740 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 822185 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1454759 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 3347 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1326365 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 202519 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 204846 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1140900 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 121720 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 204415 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1297434 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 768350 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 419792 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 690478 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 3963 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 736861 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 790180 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 948101 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 702168 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1186809 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1515248 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 829715 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 946595 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1558136 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 499985 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1300149 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 414182 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 220432 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 452313 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 806204 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 979883 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1576822 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 868898 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1137267 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1268631 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 975279 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 408304 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1439150 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 575798 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1405563 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1407626 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 988061 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1204907 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 856044 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1229018 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1587739 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 4864 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 35627 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1541114 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 121155 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 246991 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 769634 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1147792 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 395340 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1277351 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 203718 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1207281 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 553064 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 473523 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1625465 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 290972 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 951551 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1224558 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1542764 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1098336 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1038295 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1249855 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 25239 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 165382 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1505078 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1050384 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1530052 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 220945 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 37902 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 66151 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1633323 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 189088 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1340836 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 183103 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1254376 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 799705 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 495231 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 232999 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 208092 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 629725 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 390381 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 80717 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1065759 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1474759 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 134877 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1159369 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1026245 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1554977 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 521020 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1493648 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 358338 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 147426 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 333949 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1575476 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 828548 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 483406 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 870782 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 703578 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 631608 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 655982 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 898667 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 943835 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 691972 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 326746 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 950652 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 120831 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 221711 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 4661 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 109746 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 29519 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1340017 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 205140 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 539741 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1032753 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 271981 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 209026 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1326445 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 143746 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1647592 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 946229 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1252803 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1486997 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 11447 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1237064 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1625939 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1488881 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 369323 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 279106 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1452633 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1097142 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1578153 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 378095 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1475254 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 230240 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 181120 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1646868 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1188747 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 710826 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 945474 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 376108 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 363005 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 903653 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 959102 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 610882 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 21347 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 315097 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1107847 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 667388 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 120773 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 405976 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1186436 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 513383 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 498022 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1136499 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1066426 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 145435 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 40012 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1452923 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 860580 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1043245 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 182399 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 983617 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1457750 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) /* 9ef639b6dce09e9157c49c3a67e61173 db1076 cswiki 65s */;

Those are taking more than 60 seconds and hence being killed by the query killer.

(Edited to remove extra instances of P13660).

We just had another spike of queries like the following on cswiki
P13660

Those are taking more than 60 seconds and hence being killed by the query killer.

It seems that paste P13660 doesn't exist?
logstash for wmf.25 logs numerous errors -

Expectation ({measure} <= {max}) by {by} not met (actual: {actual}): {query}424
[{exception_id}] {exception_url} WMFTimeoutException from line 41 of /srv/mediawiki/wmf-config/set-time-limit.php: the execution time limit of 60 seconds was exceeded258
Error 2006 from GrowthExperiments\NewcomerTasks\TemplateFilter::buildResultsMap, {error} {sql1line} {db_server}171
Error connecting to {db_server} as user {db_user}: {error}39
Error 2006
Error 2006 from GrowthExperiments\NewcomerTasks\TemplateFilter::buildResultsMap, MySQL server has gone away (10.64.32.155:3312) SELECT  tl_from,tl_title  FROM `templatelinks`    WHERE (tl_from = 326746 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 1277351 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 1505078 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 1526146 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 205140 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 1647368 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 771686 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 1163332 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 330779 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 702168 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 369481 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 1026245 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 632362 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 975279 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 25239 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 883852 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 473523 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 994657 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 770359 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 885836 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 1340017 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 1217372 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 1330718 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 1457750 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 5634 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 903653 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 145435 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 182399 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 768350 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 1038295 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 234641 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 343801 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 1625465 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 230240 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?', 10.64.32.155:3312

We just had another spike of queries like the following on cswiki

1SELECT /* GrowthExperiments\NewcomerTasks\TemplateFilter::buildResultsMap */ tl_from, tl_title FROM `templatelinks` WHERE (tl_from = 500878 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 257135 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 60174 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1214230 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 67284 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 990778 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 288882 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1104378 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1366569 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 231406 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1375660 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 730638 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 264794 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 11856 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 883852 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 770359 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1245569 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 369481 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1330718 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1304746 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 622174 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 392583 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 624546 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 343801 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1193691 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 521594 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 245877 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 132436 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 191680 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1621582 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1066623 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 705171 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 805996 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 18904 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1547131 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 776885 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1577661 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1173050 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 112364 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 77003 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 84870 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 330779 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1526146 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 367141 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 586023 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 938764 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1067493 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 163920 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 771686 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1104105 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1217372 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 279251 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1538351 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1224143 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 993549 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1198541 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 994657 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 921950 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 885836 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 234641 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1633049 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 775781 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1163332 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1198105 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 856202 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1594052 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1647368 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1037947 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 462411 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 891107 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 5634 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 416038 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 629397 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 263764 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1625171 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 477153 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1646425 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1012571 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 685330 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 632362 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1621544 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 596389 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1531740 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 822185 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1454759 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 3347 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1326365 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 202519 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 204846 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1140900 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 121720 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 204415 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1297434 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 768350 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 419792 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 690478 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 3963 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 736861 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 790180 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 948101 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 702168 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1186809 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1515248 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 829715 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 946595 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1558136 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 499985 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1300149 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 414182 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 220432 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 452313 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 806204 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 979883 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1576822 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 868898 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1137267 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1268631 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 975279 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 408304 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1439150 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 575798 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1405563 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1407626 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 988061 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1204907 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 856044 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1229018 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1587739 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 4864 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 35627 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1541114 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 121155 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 246991 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 769634 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1147792 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 395340 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1277351 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 203718 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1207281 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 553064 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 473523 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1625465 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 290972 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 951551 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1224558 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1542764 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1098336 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1038295 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1249855 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 25239 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 165382 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1505078 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1050384 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1530052 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 220945 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 37902 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 66151 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1633323 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 189088 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1340836 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 183103 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1254376 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 799705 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 495231 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 232999 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 208092 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 629725 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 390381 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 80717 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1065759 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1474759 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 134877 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1159369 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1026245 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1554977 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 521020 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1493648 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 358338 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 147426 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 333949 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1575476 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 828548 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 483406 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 870782 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 703578 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 631608 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 655982 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 898667 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 943835 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 691972 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 326746 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 950652 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 120831 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 221711 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 4661 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 109746 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 29519 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1340017 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 205140 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 539741 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1032753 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 271981 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 209026 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1326445 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 143746 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1647592 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 946229 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1252803 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1486997 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 11447 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1237064 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1625939 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1488881 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 369323 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 279106 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1452633 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1097142 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1578153 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 378095 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1475254 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 230240 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 181120 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1646868 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1188747 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 710826 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 945474 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 376108 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 363005 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 903653 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 959102 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 610882 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 21347 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 315097 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1107847 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 667388 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 120773 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 405976 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1186436 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 513383 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 498022 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1136499 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1066426 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 145435 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 40012 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1452923 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 860580 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1043245 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 182399 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 983617 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1457750 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) /* 9ef639b6dce09e9157c49c3a67e61173 db1076 cswiki 65s */;

Those are taking more than 60 seconds and hence being killed by the query killer.

It seems that paste

1SELECT /* GrowthExperiments\NewcomerTasks\TemplateFilter::buildResultsMap */ tl_from, tl_title FROM `templatelinks` WHERE (tl_from = 500878 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 257135 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 60174 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1214230 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 67284 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 990778 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 288882 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1104378 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1366569 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 231406 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1375660 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 730638 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 264794 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 11856 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 883852 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 770359 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1245569 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 369481 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1330718 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1304746 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 622174 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 392583 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 624546 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 343801 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1193691 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 521594 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 245877 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 132436 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 191680 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1621582 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1066623 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 705171 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 805996 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 18904 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1547131 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 776885 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1577661 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1173050 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 112364 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 77003 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 84870 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 330779 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1526146 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 367141 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 586023 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 938764 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1067493 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 163920 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 771686 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1104105 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1217372 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 279251 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1538351 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1224143 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 993549 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1198541 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 994657 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 921950 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 885836 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 234641 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1633049 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 775781 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1163332 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1198105 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 856202 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1594052 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1647368 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1037947 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 462411 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 891107 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 5634 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 416038 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 629397 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 263764 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1625171 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 477153 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1646425 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1012571 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 685330 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 632362 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1621544 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 596389 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1531740 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 822185 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1454759 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 3347 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1326365 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 202519 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 204846 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1140900 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 121720 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 204415 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1297434 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 768350 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 419792 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 690478 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 3963 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 736861 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 790180 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 948101 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 702168 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1186809 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1515248 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 829715 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 946595 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1558136 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 499985 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1300149 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 414182 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 220432 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 452313 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 806204 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 979883 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1576822 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 868898 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1137267 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1268631 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 975279 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 408304 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1439150 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 575798 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1405563 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1407626 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 988061 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1204907 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 856044 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1229018 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1587739 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 4864 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 35627 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1541114 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 121155 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 246991 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 769634 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1147792 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 395340 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1277351 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 203718 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1207281 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 553064 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 473523 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1625465 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 290972 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 951551 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1224558 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1542764 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1098336 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1038295 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1249855 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 25239 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 165382 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1505078 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1050384 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1530052 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 220945 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 37902 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 66151 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1633323 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 189088 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1340836 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 183103 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1254376 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 799705 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 495231 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 232999 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 208092 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 629725 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 390381 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 80717 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1065759 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1474759 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 134877 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1159369 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1026245 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1554977 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 521020 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1493648 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 358338 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 147426 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 333949 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1575476 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 828548 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 483406 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 870782 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 703578 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 631608 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 655982 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 898667 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 943835 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 691972 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 326746 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 950652 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 120831 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 221711 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 4661 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 109746 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 29519 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1340017 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 205140 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 539741 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1032753 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 271981 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 209026 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1326445 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 143746 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1647592 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 946229 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1252803 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1486997 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 11447 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1237064 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1625939 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1488881 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 369323 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 279106 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1452633 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1097142 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1578153 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 378095 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1475254 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 230240 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 181120 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1646868 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1188747 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 710826 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 945474 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 376108 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 363005 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 903653 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 959102 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 610882 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 21347 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 315097 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1107847 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 667388 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 120773 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 405976 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1186436 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 513383 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 498022 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1136499 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1066426 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 145435 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 40012 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1452923 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 860580 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1043245 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 182399 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 983617 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1457750 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) /* 9ef639b6dce09e9157c49c3a67e61173 db1076 cswiki 65s */;
doesn't exist?

It does, it was created with WMF-NDA tag though, so not sure why you were not able to see it. I just saw the the query has pasted here multiple times before in this thread anyways, so I just made it public.

[...]

It seems that paste P13660 doesn't exist?

It does, it was created with WMF-NDA tag though, so not sure why you were not able to see it.

Note: @Marostegui Elena is not a member of WMF-NDA (despite the name, most WMF employees aren't in it; it's not a standard part of onboarding), hence she cannot see WMF-NDA only pastes :-).

I just saw the the query has pasted here multiple times before in this thread anyways, so I just made it public.

@Urbanecm_WMF that explains it.....thanks much for the explanation :)

The code generating these queries has been removed.

@Tgr is that removal live or pending to be pushed?
I just saw the same query just now on logstash

2021-01-13T07:35:33	10.64.16.190`
GrowthExperiments\NewcomerTasks\TemplateFilter::buildResultsMap	MySQL server has gone away (10.64.16.190)	SELECT  tl_from,tl_title  FROM `templatelinks`    WHERE (tl_from = 9332 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 369205 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 1407777 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 204415 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 948754 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 467553 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 38687 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 853454 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 898909 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 739133 AND tl_title IN ('Kdy?','Kdo?','Pravopis','Sloh','Transkripce','Reklama','NPOV','Kým?','Jaký?','Který?')  AND tl_namespace = 10) OR (tl_from = 1022425 AND tl_title IN

Fully query

1SELECT /* GrowthExperiments\NewcomerTasks\TemplateFilter::buildResultsMap */ tl_from, tl_title FROM `templatelinks` WHERE (tl_from = 54070 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 11136 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 223776 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 463363 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1407777 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1447331 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1237963 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1984 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 369205 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 462596 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1650404 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 394054 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1056757 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 118879 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1122457 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 823813 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 868809 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 38687 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 135035 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 963509 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1649898 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 110421 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1623307 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1642487 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 239749 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 820666 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 138039 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1002264 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 271425 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 272575 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1028258 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 203718 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 7199 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 512967 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1633323 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1605056 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 178289 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1580505 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1147792 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 118901 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 988377 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1276122 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 26299 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1415563 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 288882 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1219970 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 928272 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 948754 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1134401 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1019469 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 394267 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 987 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 853454 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1013769 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 909271 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 795577 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 764039 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 121226 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 135026 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 603248 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 757445 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 704168 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 343496 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 345709 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1236305 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1454013 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 691667 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 991593 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 522682 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 204415 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 252962 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 847015 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1194865 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 360427 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 586023 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 358016 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 267457 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 948932 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 146124 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1406518 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 553064 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 582821 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 932462 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 118448 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 282652 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1002011 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1453754 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 945174 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 243333 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1496657 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 92376 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1169541 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1641302 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 81810 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 463618 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1011560 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 449790 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 949683 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 301517 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 527962 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 819299 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 40870 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 335861 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 61469 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 432767 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 462465 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1173283 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 8844 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 153580 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 338176 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1475411 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1302914 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1382128 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1646868 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1244271 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 220929 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 145435 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 94906 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 277735 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 123466 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 138816 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1104378 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 390381 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 548209 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1094287 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1645128 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 207562 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 83293 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 903467 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1591369 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1223630 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1479465 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 950658 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 80058 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 975279 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 631590 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 993488 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 993654 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 143746 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1031276 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 981302 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 898909 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 7288 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 885204 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1104272 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1474759 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1223422 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1479762 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 285286 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1515408 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1130148 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1207008 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 731919 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 15760 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1560007 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1570084 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 220655 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1340836 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 646314 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1218346 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 639451 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1305444 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 838783 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 113911 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 7354 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1009110 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 682642 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 775781 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1602104 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 249445 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 943835 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1345890 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 371571 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1578907 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1528883 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 911101 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1471372 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1450968 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 401719 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1368666 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1596011 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1019798 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 623310 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 499996 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 235060 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 838517 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 498971 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 367225 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1126583 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1493333 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 349972 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 9332 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 944683 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 855747 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 153065 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1621862 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1464837 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1022425 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 791260 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 171257 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1420765 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1398870 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 792967 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 118930 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1622441 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 980033 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 4881 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1296831 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 739133 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 166127 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1105550 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 360431 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 591132 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 467553 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 12297 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1038099 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 746085 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1386106 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1252033 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 500617 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1263109 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 21830 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 107050 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 937843 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1198198 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1378591 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 162647 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1042551 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1236844 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 789061 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 707517 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1542647 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 64065 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 880161 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1150991 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1443376 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 766151 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 20622 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1447305 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 524747 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 1015891 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 188676 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 3347 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 31289 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 733729 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 25519 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 32458 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 22943 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 823085 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) OR (tl_from = 554215 AND tl_title IN ('Kdy?', 'Kdo?', 'Pravopis', 'Sloh', 'Transkripce', 'Reklama', 'NPOV', 'Kým?', 'Jaký?', 'Který?') AND tl_namespace = 10) /* 9ef639b6dce09e9157c49c3a67e61173 db1129 cswiki 56s */

It’s on the train and should be on cswiki tomorrow.

Checked today - no errors seem to be reported. I'll monitor for couple of more days, then the task can be Resolved.

Closing this as this query didn't show up in the last 96h
Thanks everyone for getting this resolved.